/*
Cory McKay

ImageProcessor Class

- This is the class that should be run to access the ImageProcessor program.
- This program allows the user to view image files, view the brightness histogram
  for these files, convert the image into a binary image with an appropriate automatically
  determined threshold to bring out an object and break the image into 4 parts and apply the
  thresholding algorithm separately to each part.
- This program also allows the user to remove noise from binary images by using a mean filter
  and by expanding and shrinking objects. The user can have this all done automatically, or can
  control the intermediate steps. The program can explain to the user what is being done.
- This program also allows the user to view a region that is selected by the program.
- This program also allows the user to detect edges in an image or detect and refine the boundary
  of a region in an image.
- This class spawns a MainFrame object which holds the GUI for the program.
- This class can be run with one or zero command line arguments. Null is passed to the MainFrame
  object if no command line argument is given, and a string containing the first command line
  argument is passed to the MainFrame object if a command line argument is given.
- If a command line argument is not given, the program will start with an open
  dialogue box allowing the user to choose a file to open.
- If a command line argument is given, it must be the path of a valid graphics file,
  which will be automatically opened at startup.
- NOTE: the program will automatically open cory.jpg if an invalid file is specified.
*/

import javax.swing.*;

class ImageProcessor
{
	public static void main (String s[])
	{
		JFrame frame;
		if (s.length == 0)
			frame = new MainFrame(null);
		else
			frame = new MainFrame(s[0]);
		frame.pack();
		frame.show();
	}
}