/*
Cory McKay

MapCountObject Class

- Objects of this class are used to store labelled maps of objects
  in an image along with the number of pixels in the objects of each label
*/

class MapCountObject
{
	// Fields
	public int[][] map; // a map of objects that have been labelled. The indices correspond to those
	                    //    of an image. The pixels belonging to a connected object (using
				        //    8-neighbours) are given the same integer value. The first object is given
				        //    the number 1. Pixels belonging to the background are given the number 0.
	public int[] number_pixels_per_object;
	                    	// An array with contents corresponding to the number of pixels
	                    	// in the object in map with the same label as the index of this array.
							// The number at the indice 0 is the number of pixels in the background.
							// NOTE: due to the way objects are detected, some elements of the array may have
							// values of zero. This is not an error, it is due to the creation of false dummy
							// objects while linking pixels belonging to the same object together.


	/***************************************************************************/


	MapCountObject (int[][] m, int[] n)
	// Constructor
	{
		map = m;
		number_pixels_per_object = n;
	}
}